using APT.Infrastructure.Api;
using APT.Infrastructure.Utility;
using System;
using System.ComponentModel;
using APT.Infrastructure.Core;
namespace APT.BaseData.Domain.Entities
{
    [Redis("MQTT_CONFIG_ID")]
    public partial class T_PF_MQTT_CONFIG_THEME : MesEntityBase
    {
        [Description("MQ配置ID")]
        [DataFieldForeignKey("Nav_MqttConfig", "Nav_MqttConfigTheme")]
        public Guid MQTT_CONFIG_ID { get; set; }

        [Description("名称")]
        [FormFieldTable]
        [FormFieldEdit]
        [FormFieldQuery]
        [DataFieldLength(20)]
        public string NAME { get; set; }

        [Description("发布/订阅")]
        [FormFieldEdit]
        public bool IS_PUBLISH { get; set; }

        [Description("主题类型")]
        [FormFieldTable]
        [FormFieldEdit]
        [FormFieldQuery]
        [EnumName("PFThemeTypeEnum")]
        public int THEME_TYPE { get; set; }

        [Description("导航：MQTT配置表")]
        public virtual T_PF_MQTT_CONFIG Nav_MqttConfig { get; set; }

    }
}
